cascading.stats

## Interface ProvidesCounters

- All Known Implementing Classes:
    BaseCachedNodeStats, BaseCachedStepStats, CascadeStats, CascadingStats, FlowNodeStats, FlowStats, FlowStepStats, HadoopNodeStats, HadoopSliceStats, HadoopStepStats, LocalStepStats, ProcessFlowStats, ProcessStepStats, TezNodeStats, TezSliceStats, TezStepStats

      public interface ProvidesCounters

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Collection<java.lang.String>` | `getCounterGroups()` Method getCounterGroups returns all the available counter group names.
    `java.util.Collection<java.lang.String>` | `getCountersFor(java.lang.Class<? extends java.lang.Enum> group)` Method getCountersFor returns all the counter names for the counter Enum.
    `java.util.Collection<java.lang.String>` | `getCountersFor(java.lang.String group)` Method getCountersFor returns all the counter names for the give group name.
    `long` | `getCounterValue(java.lang.Enum counter)` Method getCounter returns the current value for the given counter Enum.
    `long` | `getCounterValue(java.lang.String group, java.lang.String counter)` Method getCounter returns the current value for the given group and counter.
    `long` | `getLastSuccessfulCounterFetchTime()` Method getLastSuccessfulCounterFetchTime returns the time, in millis, the last moment counters were successfully retrieved.

- - ### Method Detail

    - #### getLastSuccessfulCounterFetchTime

          long getLastSuccessfulCounterFetchTime()

      Method getLastSuccessfulCounterFetchTime returns the time, in millis, the last moment counters were successfully retrieved.

      If -1, counter values were never successfully retrieved.

      If this return value is less than the `CascadingStats.getFinishedTime()` it is likely the counter service became unavailable.
      Returns:
        the moment counters were last successfully retrieved

    - #### getCounterGroups

          java.util.Collection<java.lang.String> getCounterGroups()

      Method getCounterGroups returns all the available counter group names.
      Returns:
        the counterGroups (type Collection) of this CascadingStats object.

    - #### getCountersFor

          java.util.Collection<java.lang.String> getCountersFor(java.lang.String group)

      Method getCountersFor returns all the counter names for the give group name.
      Parameters:
        `group` -
      Returns:
        Collection

    - #### getCountersFor

          java.util.Collection<java.lang.String> getCountersFor(java.lang.Class<? extends java.lang.Enum> group)

      Method getCountersFor returns all the counter names for the counter Enum.
      Parameters:
        `group` -
      Returns:
        Collection

    - #### getCounterValue

          long getCounterValue(java.lang.Enum counter)

      Method getCounter returns the current value for the given counter Enum.
      Parameters:
        `counter` - of type Enum
      Returns:
        the current counter value

    - #### getCounterValue

          long getCounterValue(java.lang.String group,
                             java.lang.String counter)

      Method getCounter returns the current value for the given group and counter.
      Parameters:
        `group` - of type String
        `counter` - of type String
      Returns:
        the current counter value

Copyright © 2007-2015 Xplenty, Inc. All Rights Reserved.